# cod.h File Reference

## Detailed Description

COD file API.

Definition in file cod.h.

`#include "dll.h"`
`#include "data.h"`
`#include <sys/types.h>`
`#include <stdint.h>`
`#include <iostream>`
`#include <sstream>`

Include dependency graph for cod.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry

## Classes

class | Barry::CodFileBuilder
| The CodFileBuilder class is used to assemble multiple .cod files into a single packed .cod file using the pkzip file format. More...

## Functions

size_t | Barry::SeekNextCod (std::istream &input)
| Seeks the input stream to the next packed sibling .cod file and returns the packed .cod file size.